#!/bin/sh

#-----------------------------------------------------------------------
# Bourne shell environment setup script for Geant4 10.7.4
#
# This script will configure your environment so that any Geant4 supplied
# tools, libraries and data are available in your PATH, library paths etc.
# Data libraries will only be setup if they were installed as part of the
# Geant4 installation.
#
# Source this script to perform the setup.
#
# This script is autogenerated by CMake DO NOT EDIT
#

#-----------------------------------------------------------------------
# Locate directory of self
#
# Self locate script when sourced
if [ -z "$BASH_VERSION" ]; then
  # Not bash, so rely on sourcing from correct location
  if [ ! -f geant4.sh ]; then
    echo 'ERROR: geant4.sh could NOT self-locate Geant4 installation'
    echo 'This is most likely because you are using ksh, zsh or similar'
    echo 'To fix this issue, cd to the directory containing this script'
    echo 'and source it in that directory.'
    return 1
  fi
  geant4_envbindir=$(pwd)
else
  g4sls_sourced_dir=$(dirname ${BASH_ARGV[0]})
  geant4_envbindir=$(cd $g4sls_sourced_dir > /dev/null ; pwd)
fi
      

#-----------------------------------------------------------------------
# Setup Geant4 binary and library paths...
#

if [ -z "${PATH-}" ] ; then
  export PATH="$geant4_envbindir"
else
  export PATH="$geant4_envbindir":${PATH}
fi



#-----------------------------------------------------------------------
# Setup Third-party binary and library paths...
# - CLHEP
# - Builtin CLHEP used

# - XercesC
# GDML SUPPORT NOT AVAILABLE

#-----------------------------------------------------------------------
# Resource file paths
# - Datasets
export G4NEUTRONHPDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4NDL4.6"
export G4LEDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4EMLOW7.13"
export G4LEVELGAMMADATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/PhotonEvaporation5.7"
export G4RADIOACTIVEDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/RadioactiveDecay5.6"
export G4PARTICLEXSDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4PARTICLEXS3.1.1"
export G4PIIDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4PII1.3"
export G4REALSURFACEDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/RealSurface2.2"
export G4SAIDXSDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4SAIDDATA2.0"
export G4ABLADATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4ABLA3.1"
export G4INCLDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4INCL1.0"
export G4ENSDFSTATEDATA="/Users/sftnight/geant4/10.7.p04/install/Geant4-10.7.4-Darwin/share/Geant4-10.7.4/data/G4ENSDFSTATE2.3"


# - Fonts for Freetype
# FREETYPE SUPPORT NOT AVAILABLE

#----------------------------------------------------------------------

